// Top-level build file where you can add configuration options common to all sub-projects/modules.
plugins {
    alias(libs.plugins.android.application) apply false
    alias(libs.plugins.kotlin.android) apply false
    alias(libs.plugins.spotless) apply false
}

subprojects {
    apply{ plugin(rootProject.libs.plugins.spotless.get().pluginId) }
    configure<com.diffplug.gradle.spotless.SpotlessExtension> {
        //ratchetFrom("origin/main")
        kotlin {
            target("**/*.kt")
            targetExclude("${layout.buildDirectory}/**/*.kt")
            ktfmt().googleStyle()
        }

        kotlinGradle {
            ktfmt()
        }
    }

    afterEvaluate {
        tasks.named("preBuild") {
            dependsOn("spotlessApply")
        }
    }
}